- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgUtx::TestReport Class Reference

A TestReport represents the complete set of results (TestRecords) for a given test run. More...

List of all members.

## Public Member Functions
TestRecord & | createRecord (const std::string &s)

## Detailed Description

A TestReport represents the complete set of results (TestRecords) for a given test run.

Todo:
  Add support for printing the test report in various formats: e.g. text, XML, CSV

## Member Function Documentation

TestRecord& osgUtx::TestReport::createRecord | ( | const std::string & | s | ) | `[inline]`

The documentation for this class was generated from the following file:

- UnitTestFramework